package cn.com.countrygarden.bi.main.model.twerp.hm;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Table(name = "Tb_HSPR_FeesDetail")
public class TbHsprFeesdetail {
    @Id
    @Column(name = "RecdID")
    private Long recdid;

    @Column(name = "CommID")
    private Integer commid;

    @Column(name = "CostID")
    private Long costid;

    @Column(name = "CustID")
    private Long custid;

    @Column(name = "RoomID")
    private Long roomid;

    @Column(name = "FeesID")
    private Long feesid;

    @Column(name = "ReceID")
    private Long receid;

    @Column(name = "ChargeMode")
    private String chargemode;

    @Column(name = "AccountWay")
    private Short accountway;

    @Column(name = "ChargeAmount")
    private BigDecimal chargeamount;

    @Column(name = "LateFeeAmount")
    private BigDecimal latefeeamount;

    @Column(name = "ChargeDate")
    private Date chargedate;

    @Column(name = "FeesMemo")
    private String feesmemo;

    @Column(name = "IsDelete")
    private Short isdelete;

    @Column(name = "OldCostID")
    private Long oldcostid;

    @Column(name = "SynchFlag")
    private Short synchflag;

    @Column(name = "OrganName")
    private String organName;

    @Column(name = "CommName")
    private String commName;

    @Column(name = "CustName")
    private String custName;

    @Column(name = "MobilePhone")
    private String mobilePhone;

    /**
     * @return RecdID
     */
    public Long getRecdid() {
        return recdid;
    }

    /**
     * @param recdid
     */
    public void setRecdid(Long recdid) {
        this.recdid = recdid;
    }

    /**
     * @return CommID
     */
    public Integer getCommid() {
        return commid;
    }

    /**
     * @param commid
     */
    public void setCommid(Integer commid) {
        this.commid = commid;
    }

    /**
     * @return CostID
     */
    public Long getCostid() {
        return costid;
    }

    /**
     * @param costid
     */
    public void setCostid(Long costid) {
        this.costid = costid;
    }

    /**
     * @return CustID
     */
    public Long getCustid() {
        return custid;
    }

    /**
     * @param custid
     */
    public void setCustid(Long custid) {
        this.custid = custid;
    }

    /**
     * @return RoomID
     */
    public Long getRoomid() {
        return roomid;
    }

    /**
     * @param roomid
     */
    public void setRoomid(Long roomid) {
        this.roomid = roomid;
    }

    /**
     * @return FeesID
     */
    public Long getFeesid() {
        return feesid;
    }

    /**
     * @param feesid
     */
    public void setFeesid(Long feesid) {
        this.feesid = feesid;
    }

    /**
     * @return ReceID
     */
    public Long getReceid() {
        return receid;
    }

    /**
     * @param receid
     */
    public void setReceid(Long receid) {
        this.receid = receid;
    }

    /**
     * @return ChargeMode
     */
    public String getChargemode() {
        return chargemode;
    }

    /**
     * @param chargemode
     */
    public void setChargemode(String chargemode) {
        this.chargemode = chargemode;
    }

    /**
     * @return AccountWay
     */
    public Short getAccountway() {
        return accountway;
    }

    /**
     * @param accountway
     */
    public void setAccountway(Short accountway) {
        this.accountway = accountway;
    }

    /**
     * @return ChargeAmount
     */
    public BigDecimal getChargeamount() {
        return chargeamount;
    }

    /**
     * @param chargeamount
     */
    public void setChargeamount(BigDecimal chargeamount) {
        this.chargeamount = chargeamount;
    }

    /**
     * @return LateFeeAmount
     */
    public BigDecimal getLatefeeamount() {
        return latefeeamount;
    }

    /**
     * @param latefeeamount
     */
    public void setLatefeeamount(BigDecimal latefeeamount) {
        this.latefeeamount = latefeeamount;
    }

    /**
     * @return ChargeDate
     */
    public Date getChargedate() {
        return chargedate;
    }

    /**
     * @param chargedate
     */
    public void setChargedate(Date chargedate) {
        this.chargedate = chargedate;
    }

    /**
     * @return FeesMemo
     */
    public String getFeesmemo() {
        return feesmemo;
    }

    /**
     * @param feesmemo
     */
    public void setFeesmemo(String feesmemo) {
        this.feesmemo = feesmemo;
    }

    /**
     * @return IsDelete
     */
    public Short getIsdelete() {
        return isdelete;
    }

    /**
     * @param isdelete
     */
    public void setIsdelete(Short isdelete) {
        this.isdelete = isdelete;
    }

    /**
     * @return OldCostID
     */
    public Long getOldcostid() {
        return oldcostid;
    }

    /**
     * @param oldcostid
     */
    public void setOldcostid(Long oldcostid) {
        this.oldcostid = oldcostid;
    }

    /**
     * @return SynchFlag
     */
    public Short getSynchflag() {
        return synchflag;
    }

    /**
     * @param synchflag
     */
    public void setSynchflag(Short synchflag) {
        this.synchflag = synchflag;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCommName() {
        return commName;
    }

    public void setCommName(String commName) {
        this.commName = commName;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }
}